# Suppose you have done:
# $ ln -s zope261b1 Zope-2.6.2b2-linux2-x86
# or some similar setup, then CLIENT_HOME becomes the latter but
# globals() will have the former.
# This hack makes sure that CT_HOME becomes like
# globals()
#
# To set this variable, edit you ./start script to have the following:
#
# CT_HOME=/home/zope/zope123/var
# export CT_HOME
#
# The same goes for the CT_SOFTWARE_HOME and you set it like this:
#
# CT_SOFTWARE_HOME=/home/zope/zope123/lib/python/Products
# export CT_SOFTWARE_HOME
#


import os

CT_HOME = os.environ.get('CT_HOME', CLIENT_HOME)
CT_SOFTWARE_HOME = os.environ.get('CT_SOFTWARE_HOME', SOFTWARE_HOME)

def _getVariable(key, default):
    value = os.environ.get(key, default)
    try:
	value = not not int(value)
    except:
	if str(value).lower().strip() in ['yes','on']:
	    value = 1
	elif str(value).lower().strip() in ['no','off']:
	    value = 0
	else:
	    value = default
    return value

# Allows to write back to file from showCheckoutableTemplate
CAN_WRITEBACK = _getVariable('CT_CAN_WRITEBACK', 0)

# Writes to Log() every time we store a template
DEBUG = _getVariable('CT_DEBUG',0)

# Attempts to optimize the output
OPTIMIZE = _getVariable('CT_OPTIMIZE',1)
    

CONFIGFILEPATH = os.path.join(CT_HOME, "CTConfig")
CONFIGFILEPATH = CONFIGFILEPATH + '.dump'
